<?php

namespace Ticket\Http\Controllers;
use Ticket\Country;
use Ticket\State;
use Ticket\City;

use Illuminate\Http\Request;

class CityController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
       
        $cities = City::getAllCities();
        $countries = Country::all();
        $states = State::all();
        return view('admin.city.citylist',compact('countries','states','cities'));
    }

     public function tindex()
    {
       
        $cities = City::getAllCities();
        $countries = Country::all();
        $states = State::all();
        return view('engineer.city.citylist',compact('countries','states','cities'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       if ($request->isMethod('post')) {
         $this->validate($request, [
             'city_name' => 'bail|required|max:50|unique:cities,ct_name',
             //'mod_status' => 'bail|required|max:50',
         ]);

             $city = new City;
             //var_dump($request); die;

                 $city->st_id     = $request->get('st_id');                 
                 $city->ct_name     = $request->city_name;
                 $city->ct_status = '1';
                 //$oem->mod_status     = $request->oem_name;

               if($city->save()) {
                 $request->session()->flash('success', 'City Created Successfully');
                 return redirect()->route("city.index");
               }


       }
    }

     public function tstore(Request $request)
    {
       if ($request->isMethod('post')) {
         $this->validate($request, [
             'city_name' => 'bail|required|max:50|unique:cities,ct_name',
             //'mod_status' => 'bail|required|max:50',
         ]);

             $city = new City;
             //var_dump($request); die;

                 $city->st_id     = $request->get('st_id');                 
                 $city->ct_name     = $request->city_name;
                 $city->ct_status = '1';
                 //$oem->mod_status     = $request->oem_name;

               if($city->save()) {
                 $request->session()->flash('success', 'City Created Successfully');
               return redirect("tcity");
               }


       }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
     $countries = Country::all();
        $states = State::all();
        $cities = City::AllDatafind($id);
//print_r($cities);exit;
        return view('admin.city.cityedit',compact('countries','states','cities'));
    }
     public function tedit($id)
    {
     $countries = Country::all();
        $states = State::all();
        $cities = City::AllDatafind($id);
//print_r($cities);exit;
        return view('engineer.city.cityedit',compact('countries','states','cities'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        if ($request->isMethod('patch')) {
        $this->validate($request, [          
           'city_name' => 'bail|required|max:50', //|unique:cities,ct_name,'.$id'
        ]);
        $city = City::find($id);
        $city->st_id    = $request->get('st_id');      
        $city->ct_name      = $request->city_name;
        if($city->save()) {
          $request->session()->flash('success', 'City Updated Successfully');
          return redirect()->route("city.index");
        }

      }
    }
    public function tupdate(Request $request)
    {
        if ($request->isMethod('post')) {
        $this->validate($request, [          
           'city_name' => 'bail|required|max:50',//|unique:cities,ct_name,'.$id'
        ]);
        $city = City::find($request->id);
        $city->st_id    = $request->get('st_id');      
        $city->ct_name      = $request->city_name;
        if($city->save()) {
          $request->session()->flash('success', 'City Updated Successfully');
         return redirect("tcity");
        }

      }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
       $city = City::find($id);
        if($city->delete()){

            return redirect()->route("city.index")->with('success', 'Deleted successfully');
        }else{
            return redirect()->route("city.index")->with('error','Delete failed');
        }
    }
    public function tdestroy($id)
    {
       $city = City::find($id);
        if($city->delete()){

            return redirect("tcity")->with('success', 'Deleted successfully');
        }else{
            return redirect("tcity")->with('error','Delete failed');
        }
    }
    public function modelAjax($id)
   {
     $city = City::getStateByCat($id);
     return json_encode($city);
   }
}
