<?php

namespace Ticket\Http\Controllers;
use Ticket\Http\Controllers\Controller;
use Illuminate\Support\Facades\Input;
use Illuminate\Http\Request;
use Ticket\Country;
use Validator;
use Response;

class CountryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $countries = Country::all();       
      return view("admin.country.countrylist", compact('countries'));
    }
    public function tindex()
    {
        $countries = Country::all();
      return view("engineer.country.countrylist", compact('countries'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if ($request->isMethod('post')) {
        $this->validate($request, [
            'con_name' => 'bail|required|max:50|unique:countries,con_name',
        ]);

            $country = new Country;
                $country->con_name     = $request->con_name;
                 $country->con_status     = '1';

              if($country->save()) {
                $request->session()->flash('success', 'Country Created Successfully');
                return redirect()->route("country.index");
              }


      }
    }
 public function tstore(Request $request)
    {
        if ($request->isMethod('post')) {
        $this->validate($request, [
              'con_name' => 'bail|required|max:50|unique:countries,con_name',
        ]);

            $country = new Country;
                $country->con_name     = $request->con_name;
                 $country->con_status     = '1';

              if($country->save()) {
                $request->session()->flash('success', 'Country Created Successfully');
                 return redirect("tcountry");
              }


      }
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $country=Country::find($id);
        return view('admin.country.countryedit',compact('country'));
    }

     public function tedit($id)
    {
        $country=Country::find($id);
        return view('engineer.country.countryedit',compact('country'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        if ($request->isMethod('patch')) {
        $this->validate($request, [
           'con_name' => 'bail|required|max:50|unique:countries,con_name,'.$id.'',
        ]);
         $country=Country::find($id);
        
        $country->con_name      = $request->con_name;
        $country->con_status      = '1';
        
        if($country->save()) {
          $request->session()->flash('success', 'Country Updated Successfully');
          return redirect()->route("country.index");
        }

      }
    }
 public function tupdate(Request $request)
    {

        if ($request->isMethod('post')) {
        $this->validate($request, [
           'con_name' => 'bail|required|max:50|unique:countries,con_name,'.$id.'',
        ]);
         $country=Country::find($request->id);
        
        $country->con_name      = $request->con_name;
        $country->con_status      = '1';
        
        if($country->save()) {
          $request->session()->flash('success', 'Country Updated Successfully');
          return redirect("tcountry");
        }

      }
    }
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $country=Country::find($id);
        if($country->delete()){

            return redirect()->route("country.index")->with('success', 'Deleted successfully');
        }else{
            return redirect()->route("country.index")->with('error','Delete failed');
        }
    }
     public function tdestroy($id)
    {
        $country=Country::find($id);
        if($country->delete()){

            return redirect("tcountry")->with('success', 'Deleted successfully');
        }else{
            return redirect("tcountry")->with('error','Delete failed');
        }
    }
}
