<?php

namespace Ticket\Http\Controllers;
use Ticket\Country;
use Ticket\State;

use Illuminate\Http\Request;

class StateController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $states = State::getCountryname();
       $countries = Country::all();
    
      return view("admin.state.statelist", compact('countries','states'));
    }

    public function tindex()
    {
        $states = State::getCountryname();
       $countries = Country::all();
    
      return view("engineer.state.statelist", compact('countries','states'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if ($request->isMethod('post')) {
        $this->validate($request, [
            'con_id'  => 'required',            
              'st_name' => 'bail|required|max:50|unique:states,st_name',
        ]);

            $state = new State;

                $state->con_id   =$request->con_id;
                $state->st_name     = $request->st_name;
                 $state->st_status     = '1';

              if($state->save()) {
                $request->session()->flash('success', 'State Created Successfully');
                return redirect()->route("state.index");
              }


      }
    }
public function tstore(Request $request)
    {
        if ($request->isMethod('post')) {
        $this->validate($request, [
            'con_id'  => 'required',
            'st_name' => 'bail|required|max:50|unique:states,st_name',
        ]);

            $state = new State;

                $state->con_id   =$request->con_id;
                $state->st_name     = $request->st_name;
                 $state->st_status     = '1';

              if($state->save()) {
                $request->session()->flash('success', 'State Created Successfully');
                return redirect("tstate");
              }


      }
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $state=State::find($id);
      $country = Country::all();
        return view('admin.state.stateedit',compact('country','state'));
    }
     public function tedit($id)
    {
         $state=State::find($id);
      $country = Country::all();
        return view('engineer.state.stateedit',compact('country','state'));
    }
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

       if ($request->isMethod('patch')) {
        $this->validate($request, [
            'con_id'  =>'required',
            'st_name' => 'bail|required|max:50|unique:states,st_name,'.$id.'',
        ]);
        $state=State::find($id);
        $state->con_id      = $request->con_id;
        $state->st_name   = $request->st_name;
        $state->st_status      = '1';
        
        if($state->save()) {
          $request->session()->flash('success', 'State Updated Successfully');
          return redirect()->route("state.index");
        }

      }
    }
    public function tupdate(Request $request)
    {
       // echo 'h';exit;
       if ($request->isMethod('post')) {
        $this->validate($request, [
            'con_id'  =>'required',
            'st_name' => 'bail|required|max:50|unique:states,st_name,'.$id.'',
        ]);
        $state=State::find($request->id);
        $state->con_id      = $request->con_id;
        $state->st_name   = $request->st_name;
        $state->st_status      = '1';
        
        if($state->save()) {
          $request->session()->flash('success', 'State Updated Successfully');
          return redirect("tstate");
        }

      }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
      $state=State::find($id);
        if($state->delete()){

            return redirect()->route("state.index")->with('success', 'Deleted successfully');
        }else{
            return redirect()->route("state.index")->with('error','Delete failed');
        }
    }
    public function tdestroy($id)
    {
      $state=State::find($id);
        if($state->delete()){

             return redirect("tstate")->with('success', 'Deleted successfully');
        }else{
             return redirect("tstate")->with('error','Delete failed');
        }
    }
}
