<?php

namespace Ticket\Http\Controllers;

use Illuminate\Http\Request;
use Ticket\Http\Controllers\Controller;
use Ticket\Tech;
use Ticket\Location;
use Ticket\Login;
use Carbon\Carbon;

class TechController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      //$teches = Tech::all();
      $teches = Tech::getTechdetails();
      //$models = Oemmodel::getOemname();
     //var_dump($locations); die;
      return view('admin.tech.techlist',compact('teches','locations'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
       $locations = Location::all();
        return view('admin.tech.addtech',compact('teches','locations'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
      if ($request->isMethod('post')) {
       $this->validate($request, [
           'enggname' => 'bail|required|max:50',
           'enggemail' => 'bail|required|max:50',
           'enggmobile' => 'bail|required|max:50',
           'enggloc' => 'bail|required|max:50',
           'enggskill' => 'bail|required|max:50',
           'datepicker' => 'required',

           //'mod_status' => 'bail|required|max:50',
       ]);

           $tech = new Tech;
           //var_dump($request); die;

               $tech->tc_name     = $request->enggname;
               $tech->tc_email    = $request->enggemail;
               $tech->tc_phn      = $request->enggmobile;
               $tech->loc_id      = $request->enggloc;
               $tech->tc_skill    = $request->enggskill;
               $tech->tc_pwd       = $request->enggpwd;
               //$tech->tc_join_date = str_replace('/', '-',$request->datepicker);
               //$tech->tc_join_date= date('$request->datepicker','Y-m-d');
              // $date  = $request->datepicker;
               $tech->tc_join_date = date('Y-m-d', strtotime($request->datepicker));
               $tech->tc_status = '1';
               //$tech->tc_join_date = $request->datepicker;
               //$oem->mod_status     = $request->oem_name;

             if($tech->save()) {
               Login::create([
                  'user_id' =>  $tech->id,
                  'email' => $request->enggemail,
                  'pwd' => $request->enggpwd,
                  'role' =>  'tech',
                  'log_status' => '1'
              ]);
               $request->session()->flash('success', 'Tech Created Successfully');
               return redirect()->route("tech.index");
             }


     }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
      $locations = Location::all();
      $tech = Tech::find($id);
       return view('admin.tech.techedit',compact('tech','locations'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
      if ($request->isMethod('patch')) {
        $this->validate($request, [
            'enggname' => 'bail|required|max:50',
            'enggemail' => 'bail|required|max:50',
            'enggmobile' => 'bail|required|max:50',
            'enggloc' => 'bail|required|max:50',
            'enggskill' => 'bail|required|max:50',
            'datepicker' => 'bail|required|max:50',
        ]);
        $tech = Tech::find($id);
        $logins = Tech::getLoginDetails($tech->id);
        $logiDetails=Login::find($logins[0]->id);
        $tech->tc_name 	 = $request->enggname;
        $tech->tc_email 	 = $request->enggemail;
        $tech->tc_phn 	 = $request->enggmobile;
        $tech->loc_id 	 = $request->enggloc;
        $tech->tc_skill 	 = $request->enggskill;
        $tech->tc_join_date 	 = $request->datepicker;
        $tech->tc_pwd       = $request->enggpwd;
        if($tech->save()) {
          $logiDetails->user_id =  $tech->id;
          $logiDetails->email = $request->enggemail;
          $logiDetails->pwd = $request->enggpwd;
          $logiDetails->role =  'tech';
          $logiDetails->log_status = '1';
          $logiDetails->save();
          $request->session()->flash('success', 'Tech Updated Successfully');
          return redirect()->route("tech.index");
        }

      }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
      $tech = Tech::find($id);
        if($tech->delete()){

            return redirect()->route("tech.index")->with('success', 'Deleted successfully');
        }else{
            return redirect()->route("tech.index")->with('error','Delete failed');
        }
    }
}
