<?php

namespace Ticket\Http\Controllers;

use Illuminate\Http\Request;
use Ticket\Http\Controllers\Controller;
use Ticket\Asset;
use Ticket\Master;
use Ticket\Oem;
use Ticket\Oemmodel;
use Ticket\Location;
use Ticket\Customer;
use Ticket\Ticket;
use Ticket\Attachment;
use Ticket\Category;
use Ticket\Tech;
use Ticket\Transaction;
use Ticket\Report;
use Ticket\Defective;
use Ticket\Replacement;
use Ticket\Time;
use Ticket\Serial;
use Session;
use Mail;
use Ticket\Mail\AssignToEngg;
use Ticket\Mail\StatusToComplete;
use Ticket\Mail\CreateTicbyCust;
use Ticket\Mail\NotifyAdminforTic;


class TicketController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    
    {     
           $tickets = Ticket::getTicketdetails();   


           return view('admin.ticket.ticketlist',compact('tickets'));
    }
    public function cindex()
    
    {     
           $tickets = Ticket::getTicketdetailsByCus(Session::get('uid'));
           return view('customer.ticket.ticketlist',compact('tickets'));
    }

    /*Engg module*/
    public function tindex()
    
    {     
           $tickets = Ticket::getTicketdetailsByTech(Session::get('uid'));
           return view('engineer.ticket.ticketlist',compact('tickets'));
    }
 public function closeindex()
    
    {     
           $tickets = Ticket::getTicketComdetails();
           $requests = Ticket::getTicketapproval();
           return view('admin.ticket.ticketcomplist',compact('tickets','requests'));
    }
    /*ends here*/

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
         $oems = Oem::all();
         $locs = Location::all();
         $customers = Customer::all();
         $categories = Category::all();
         return view('admin.ticket.ticketcreate',compact('oems','locs','customers','categories'));
    }
     public function ccreate()
    {
         $oems = Oem::all();
         //$locs = Location::all();
         //$customers = Customer::all();
          $categories = Category::all();
         return view('customer.ticket.ticketcreate',compact('oems','categories'));
    }

    public function tcreate()
    {
         $oems = Oem::all();
         $locs = Location::all();
         $customers = Customer::all();
        $categories = Category::all();

         return view('engineer.ticket.ticketcreate',compact('oems','locs','customers','categories'));
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if ($request->isMethod('post')) {
       $this->validate($request, [
           'location' => 'bail|required|max:50',
           'customer' => 'bail|required|max:50',
           'oem' => 'bail|required|max:50',
           'model' => 'bail|required|max:50',
           'prt' => 'bail|required|max:50',
           'prt_no' => 'required',
           'sr_no' => 'required', 
           'subject'=>'required',
           'prt_desc' => 'required',
           'emailid' => 'required', 
           'phn' => 'required',  
           ]);

           $ticket = new Ticket;
           //var_dump($request); die;
        if($request->prt!=0)
        { 
          $asset1 = Asset::find($request->prt);
          $Mas_id_othrs=$asset1->mas_id;

        }
     else
      {
        $Mas_id_othrs='0';
      }
          
               $ticket->loc_id     = $request->location;
               $ticket->c_id    = $request->customer;
               $ticket->ast_id      = $request->prt;

               $ticket->cat_id      = $request->category;
               $ticket->serial_id      = $request->serial_id;
               $ticket->oem_id      = $request->oem;
               $ticket->mod_id      = $request->model;

               $ticket->mas_id      = $Mas_id_othrs;
               $ticket->tic_type       = $request->type;
               $ticket->tic_subject      = $request->subject;
               $ticket->tic_desc    = $request->prt_desc;
               $ticket->tic_sr_no    = $request->sr_no;
               $ticket->tic_otherpart    = $request->otherdesc;
               $ticket->tic_email    = $request->emailid;
               $ticket->tic_phn    = $request->phn;
               $ticket->tic_source   ='ssquad';               
               $ticket->tic_status = '1';
               if($request->file_upload)
               $imageName = time().'.'.$request->file_upload->getClientOriginalExtension();
              if($ticket->save()) {
                 if($request->file_upload){if($request->file_upload->move('img/ticket_att', $imageName)){
               Attachment::create([
                  'tic_id' =>  $ticket->id,
                  'att_name' => $imageName,
                 
              ]);
             } }
          if($request->prt!=0){
          $asset = Asset::find($request->prt);
          $master = Master::find($asset->mas_id);    
          $qty=$asset->qty-1; 
          if($qty!=0){
            $asset->qty = $qty;
            $asset->save();
          }
          else{          
             $asset->delete();
          }
             $master->prt_qty=($master->prt_qty-1);
             $master->save();
             }
               $request->session()->flash('success', 'Ticket Created Successfully');
               return redirect()->route("ticket.index");
             }


     }
    }

    public function tstore(Request $request)
    {
        if ($request->isMethod('post')) {
       $this->validate($request, [
           'location' => 'bail|required|max:50',
           'customer' => 'bail|required|max:50',
           'oem' => 'bail|required|max:50',
           'model' => 'bail|required|max:50',
           'prt' => 'bail|required|max:50',
           'prt_no' => 'required',
           'subject'=>'required',
           'prt_desc' => 'required',
           
       ]);

           $ticket = new Ticket;
           //var_dump($request); die;
 if($request->prt!=0)
        { 
          $asset1 = Asset::find($request->prt);
          $Mas_id_othrs=$asset1->mas_id;

        }
     else
      {
        $Mas_id_othrs='0';
      }
               $ticket->loc_id     = $request->location;
               $ticket->c_id    = $request->customer;
               $ticket->ast_id      = $request->prt;

               $ticket->cat_id      = $request->category;
               $ticket->serial_id      = $request->serial_id;
               $ticket->oem_id      = $request->oem;
               $ticket->mod_id      = $request->model;

               $ticket->mas_id      = $Mas_id_othrs;
               $ticket->tic_type       = $request->type;
               $ticket->tic_subject      = $request->subject;
               $ticket->tic_desc    = $request->prt_desc;
               $ticket->tic_source   ='ssquad';               
               $ticket->tic_status = '1';
               $ticket->tic_sr_no    = $request->sr_no;
               $ticket->tic_otherpart    = $request->otherdesc;
               $ticket->tic_email    = $request->emailid;
               $ticket->tic_phn    = $request->phn;
               if($request->file_upload)
               $imageName = time().'.'.$request->file_upload->getClientOriginalExtension();
              if($ticket->save()) {
                 if($request->file_upload){if($request->file_upload->move('img/ticket_att', $imageName)){
               Attachment::create([
                  'tic_id' =>  $ticket->id,
                  'att_name' => $imageName,
                 
              ]);
             } }
             
             if($request->prt!=0){
          $asset = Asset::find($request->prt);
          $master = Master::find($asset->mas_id);    
          $qty=$asset->qty-1; 
          if($qty!=0){
            $asset->qty = $qty;
            $asset->save();
          }
          else{          
             $asset->delete();
          }
             $master->prt_qty=($master->prt_qty-1);
             $master->save();
             }
             //Mail::to('sandeep@ssquadglobal.com')->send(new NotifyAdminforTic());
               $request->session()->flash('success', 'Ticket Created Successfully');

               return redirect("tviewticket");
             }


     }
    }


    public function cstore(Request $request)
    {
        if ($request->isMethod('post')) {
       
           $ticket = new Ticket;
           //var_dump($request); die;
 if($request->prt!=0)
        { 
          $asset1 = Asset::find($request->prt);
          $Mas_id_othrs=$asset1->mas_id;

        }
     else
      {
        $Mas_id_othrs='0';
      }
              $locs = Ticket::getLocByClient(Session::get('uid'));
               $ticket->loc_id     = $locs->loc_id;
               $ticket->c_id    = Session::get('uid');
               $ticket->ast_id      = $request->prt;

               $ticket->cat_id      = $request->category;
               $ticket->serial_id      = $request->serial_id;
               $ticket->oem_id      = $request->oem;
               $ticket->mod_id      = $request->model;
               
               $ticket->mas_id      = $Mas_id_othrs;
               $ticket->tic_type       = $request->type;
               $ticket->tic_subject      = $request->subject;
               $ticket->tic_desc    = $request->prt_desc;
               $ticket->tic_source   ='ssquad';               
               $ticket->tic_status = '1';
               $ticket->tic_sr_no    = $request->sr_no;
               $ticket->tic_otherpart    = $request->otherdesc;
               $ticket->tic_email    = $request->emailid;
               $ticket->tic_phn    = $request->phn;
               if($request->file_upload)
               $imageName = time().'.'.$request->file_upload->getClientOriginalExtension();

              if($ticket->save()) {
                if($request->file_upload){ if($request->file_upload->move('img/ticket_att', $imageName)){
               Attachment::create([
                  'tic_id' =>  $ticket->id,
                  'att_name' => $imageName,
                 
              ]);
             } }

               $ticket = Ticket::find($ticket->id);

if($request->prt!=0){
          $asset = Asset::find($request->prt);
          $master = Master::find($asset->mas_id);    
          $qty=$asset->qty-1; 
          if($qty!=0){
            $asset->qty = $qty;
            $asset->save();
          }
          else{          
             $asset->delete();
          }
             $master->prt_qty=($master->prt_qty-1);
             $master->save();
             }

              // >>Mail::to($ticket->tic_email)->send(new CreateTicbyCust($ticket));

               //$cust = Ticket::getCustNamebyTicId($ticket->id);
             /*  echo '<pre>';
               print_r($ticket);
               echo '</pre>';
               echo '<pre>';
               print_r($cust);
               echo '</pre>'; die();*/
               //$ticket = Customer::find($ticket->c_id);

               //>>Mail::to('sandeep@ssquadglobal.com')->send(new NotifyAdminforTic());

               $request->session()->flash('success', 'Ticket Created Successfully');

               $tickets = Ticket::getTicketdetailsByCus(Session::get('uid'));
           return view('customer.ticket.ticketlist',compact('tickets'));
             }


     }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function trackshow($id)
    {

      $tickets = Ticket::getTicketByID($id);
       $techs = Tech::all();
    
         return view('admin.ticket.ticketdetailstrack',compact('tickets','techs'));
    }
    public function show($id)
    {

      $tickets = Ticket::getTicketByID($id);
       $techs = Tech::all();
    
         return view('admin.ticket.ticketdetails',compact('tickets','techs'));
    }

    public function cshow($id)
    {

      $tickets = Ticket::getTicketByID($id);
     
       $techs = Tech::all();
    
         return view('customer.ticket.ticketdetails',compact('tickets','techs'));
    }
public function comshow($id)
    {

      $tickets = Ticket::getTicketByID($id);
       $techs = Tech::all();
    
         return view('admin.ticket.ticketcomdetails',compact('tickets','techs'));
    }
    public function tshow($id)
    {

      $tickets = Ticket::getTicketByID($id);

      
     // $masId  =  Ticket::getMasIdByCust($tickets->c_id);


      //$partno = Ticket::getPartByMasId($masId->mas_id);

      $assets = Ticket::getAllassetByCid($tickets->c_id);

      $status = Ticket::getAllStatus();

      $feReport = Ticket::getFereports($id);

//print_r($status); exit();
       $techs = Tech::all();
    
         return view('engineer.ticket.ticketdetails',compact('tickets','techs','assets','status','feReport'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
         $oems = Oem::all();
         $oemmodels = Oemmodel::all();
         $locs = Location::all();
         $customers = Customer::all();
          $masters = Master::all();
         $tickets = Ticket::find($id);
         $asset = Asset::find($tickets->ast_id);
         $mas = Master::find($asset->mas_id);
         $att = Ticket::getattach($tickets->id);
         $categories = Category::all();
         $serials=  Serial::all();
          $cat = Ticket::getCatName($asset->id);
//print_r($mas); exit();
return view('admin.ticket.ticketedit',compact('oems','oemmodels','locs','customers','tickets','masters','mas','att','categories','cat','serials'));
    }
    public function cticketedit($id)
    {
         $oems = Oem::all();
         $oemmodels = Oemmodel::all();
         //$locs = Location::all();
         //$customers = Customer::all();
          $masters = Master::all();
         $tickets = Ticket::find($id);
         $asset = Asset::find($tickets->ast_id);
        $mas = Master::find($asset->mas_id);
         $att = Ticket::getattach($tickets->id);
          $categories = Category::all();
          $cat = Ticket::getCatName($asset->id);
          $serials=  Serial::all();
//print_r($cat);exit;
return view('customer.ticket.ticketedit',compact('oems','oemmodels','tickets','masters','mas','att','categories','cat','serials'));
    }

    /*engg module*/
    public function tedit($id)
    {
         $oems = Oem::all();
         $oemmodels = Oemmodel::all();
         $locs = Location::all();
         $customers = Customer::all();
          $masters = Master::all();
         $tickets = Ticket::find($id);
         $asset = Asset::find($tickets->ast_id);
         $mas = Master::find($asset->mas_id);
         $att = Ticket::getattach($tickets->id);
           $categories = Category::all();
          $cat = Ticket::getCatName($asset->id);
          $serials=  Serial::all();

return view('engineer.ticket.ticketedit',compact('oems','oemmodels','locs','customers','tickets','masters','mas','att','categories','cat','serials'));
    }

    /*engg ends here*/

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        if ($request->isMethod('patch')) {
        $this->validate($request, [
          'location' => 'bail|required|max:50',
           'customer' => 'bail|required|max:50',
           'oem' => 'bail|required|max:50',
           'model' => 'bail|required|max:50',
           'prt' => 'bail|required|max:50',
           'prt_no' => 'required',
           'subject'=>'required',
           'prt_desc' => 'required',
          
        ]);
        $ticket = Ticket::find($id);
        
              $ticket->loc_id     = $request->location;
               $ticket->c_id    = $request->customer;
               $ticket->ast_id      = $request->prt;
               $ticket->tic_type       = $request->type;
               $ticket->tic_subject      = $request->subject;
               $ticket->tic_desc    = $request->prt_desc;
               $ticket->tic_source   ='ssquad';               
               $ticket->tic_status = '1';
               if($request->file_upload)
               $imageName = time().'.'.$request->file_upload->getClientOriginalExtension();
              if($ticket->save()) {
                if($request->file_upload){ if($request->file_upload->move('img/ticket_att', $imageName)){
              
                    $att = Ticket::upd_att($ticket->id,$imageName); 


              }}
     $request->session()->flash('success', 'Ticket Updated Successfully');
          return redirect("ticket");

      }
    }
  }
public function cupdate(Request $request)
    {
     // print_r($request);exit;
     // echo $request->id;exit;
        if ($request->isMethod('post')) {
        $this->validate($request, [
          
           'oem' => 'bail|required|max:50',
           'model' => 'bail|required|max:50',
           'prt' => 'bail|required|max:50',
           'prt_no' => 'required',
           'subject'=>'required',
           'prt_desc' => 'required',
          
        ]);
       // echo $request->id;exit;
        $ticket = Ticket::find($request->id);
       // print_r($ticket);exit;
              $locs = Ticket::getLocByClient(Session::get('uid'));
               $ticket->loc_id     = $locs->loc_id;
               $ticket->c_id    = Session::get('uid');
               $ticket->ast_id      = $request->prt;
               $ticket->tic_type       = $request->type;
               $ticket->tic_subject      = $request->subject;
               $ticket->tic_desc    = $request->prt_desc;
               $ticket->tic_source   ='ssquad';               
               $ticket->tic_status = '1';
               if($request->file_upload)
               $imageName = time().'.'.$request->file_upload->getClientOriginalExtension();
              if($ticket->save()) {
                if($request->file_upload){ if($request->file_upload->move('img/ticket_att', $imageName)){
              
                    $att = Ticket::upd_att($ticket->id,$imageName); 


              }}
     $request->session()->flash('success', 'Ticket Updated Successfully');
          return redirect("custindex");

      }
    }
  }

  /*engg module*/

  public function tupdate(Request $request)
    {
        if ($request->isMethod('post')) {
        $this->validate($request, [
          'location' => 'bail|required|max:50',
           'customer' => 'bail|required|max:50',
           'oem' => 'bail|required|max:50',
           'model' => 'bail|required|max:50',
           'prt' => 'bail|required|max:50',
           'prt_no' => 'required',
           'subject'=>'required',
           'prt_desc' => 'required',
          
        ]);
        $ticket = Ticket::find($request->id);
        
              $ticket->loc_id     = $request->location;
               $ticket->c_id    = $request->customer;
               $ticket->ast_id      = $request->prt;
               $ticket->tic_type       = $request->type;
               $ticket->tic_subject      = $request->subject;
               $ticket->tic_desc    = $request->prt_desc;
               $ticket->tic_source   ='ssquad';               
               $ticket->tic_status = '1';
               if($request->file_upload)
               $imageName = time().'.'.$request->file_upload->getClientOriginalExtension();
              if($ticket->save()) {
                if($request->file_upload){ if($request->file_upload->move('img/ticket_att', $imageName)){
              
                    $att = Ticket::upd_att($ticket->id,$imageName); 


              }}
     $request->session()->flash('success', 'Ticket Updated Successfully');
          return redirect("tviewticket");

      }
    }
  }

  /*engg ends here*/
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $ticket = Ticket::find($id);
        if($ticket->delete()){

            return redirect()->route("ticket.index")->with('success', 'Deleted successfully');
        }else{
            return redirect()->route("ticket.index")->with('error','Delete failed');
        }
    }
   /*engg module*/

   public function tdestroy(Request $request,$id)
    {
        $ticket = Ticket::find($id);
        if($ticket->delete()){
            return redirect("tviewticket");
            $request->session()->flash('success', 'Ticket deleted successfully');
            //return redirect()->route("ticket.index")->with('success', 'Deleted successfully');
        }else{
            //return redirect()->route("ticket.index")->with('error','Delete failed');
            return redirect("tviewticket");

        }
    }

   /*engg ends here*/
  
    public function modelAjax($id)
   {
     $models = Ticket::getModelByOem($id);

    //echo '<pre>'; print_r($models);die;
     return json_encode($models);
   }

   public function custAjax($id)
   {
     $custs = Ticket::getClientByLoc($id);

    //echo '<pre>'; print_r($models);die;
     return json_encode($custs);
   }

    public function partAjax(Request $r)
   {
     $parts = Ticket::getPartsbyCus($r->id,$r->omid,$r->mdlid);

    //echo '<pre>'; print_r($models);die;
     return json_encode($parts);
   }
   
   public function partnoAjax($id)
   {
     $partno = Ticket::getPartno($id);

    //echo '<pre>'; print_r($models);die;
     return json_encode($partno);
   }
 
  public function techadd(Request $request)
   {
  
    if ($request->isMethod('post')) {
    for($i=0;$i<count($request->techs);$i++){
    $assigndetails = Ticket::getticketassigned($request->techs[$i],$request->tic_id);
 
    if($assigndetails!=1){
    Transaction::create([
                  'tc_id' => $request->techs[$i],
                  'tic_id' =>$request->tic_id,
                  'description' => $request->description
                 
              ]);}
    $mails = Ticket::getEmail($request->techs[$i]);

    ////


$ticket = Ticket::find($request->tic_id);
        $ticket->tic_status = '2'; 
      $ticket->save();         
    ////
  
    //>>Mail::to($mails->tc_email)->send(new AssignToEngg());
      }
    $request->session()->flash('success', 'Ticket Assigned Successfully');
    return redirect()->route("ticket.index");
  }
   
}

public function serviceLog(Request $request, $imageName=null)
{
  if ($request->isMethod('post')) {
     if($request->file_upload)
               $imageName = time().'.'.$request->file_upload->getClientOriginalExtension();

     $insert_report= Report::create([

              'tic_id' => $request->tid,
              'tech_id' =>Session::get('uid'),
              'ser_type'=>$request->type,
              //'sta_id' => $request->status,                       
              'pto_id'=>$request->porder,
              'slr_meets'=>$request->sla,
              'fe_upload'=>$imageName,              
              'work_done'=>$request->work_done,
              'mission_status'=>$request->mission_status,
              'customer_satisfied'=>$request->customer_satisfied

        ]);
  if($request->file_upload){if($request->file_upload->move('img/ticket_att', $imageName)){              
                    $att = Ticket::upd_att($request->tid,$imageName);
              }}
Time::create([
              'tic_id' => $request->tid,              
              'rep_id' => $insert_report->id,
              'tdate'   => date('Y-m-d',strtotime($request->st_date)),
              'start_time'=>date('H:i:s ',strtotime($request->strtime)),
              'end_time'=>date('H:i:s ',strtotime($request->edtime)),
              'travel_time'=>$request->trstime,
              'arr_site_time'=>date('H:i:s ',strtotime($request->artime)),
              'dep_site_time'=>date('H:i:s ',strtotime($request->dtime)),    
              ]);

              //print_r($insert_report);
              //echo '<br>'.$insert_report->id;exit;
              if(($request->def_ref)||($request->def_pt_no)||($request->def_ser_no)){
                Defective::create([
              'tic_id' => $request->tid,
              'ref'=>$request->def_ref,
              'rep_id' => $insert_report->id,
              'prt_no'   => $request->def_pt_no,
              'serial_no'=>$request->def_ser_no,
              'tag_id'=>$request->def_tag_id,
              ]);
              }
            
                $partno = Ticket::getPartno($request->tid);
                if($partno)               
         {     Replacement::create([
                       'tic_id' => $request->tid,
                       'ref'=>$partno->prt_desc,
                       'rep_id' => $insert_report->id,
                       'ast_id'   => $partno->id,
                       'prt_no'=>$partno->prt_no,
                       'serial_no'=>$partno->serial_no,
                       'tag_id'=>'',
                       ]);}
           
      $request->session()->flash('success', 'Service Log Added Successfully');
    return redirect("tviewticket");

  }
}


public function trackticket($id=null)
    {
      
       $tickets = Ticket::getTicketdetails();
           return view('admin.ticket.tickettrack',compact('tickets'));
    }

/*engg module*/

public function ttrackticket($id=null)
    {
      
       $tickets = Ticket::getTicketdetailsByTech(Session::get('uid'));

       

           return view('engineer.ticket.tickettrack',compact('tickets'));
    }

/*engg ends here*/

    public function trackcusticket($id=null)
    {
      
       $tickets = Ticket::getTicketdetailsByCus(Session::get('uid'));
           return view('customer.ticket.tickettrack',compact('tickets'));
    }
public function serachticket(Request $request)
    {
      $text=strtolower($request->search);
      $content = str_replace("tic", '', $text);
   
        $tickets = Ticket::getTicketdetailsByid($content);
        //print_r($tickets);exit;
           return view('admin.ticket.tickettrack',compact('tickets'));
    }
    public function serachticketCus(Request $request)
    {
      $text=strtolower($request->search);
      $content = str_replace("tic", '', $text);
   
        $tickets = Ticket::getTicketdetailsByid($content);
        //print_r($tickets);exit;
           return view('customer.ticket.tickettrack',compact('tickets'));
    }
public function tserachticket(Request $request)
    {
      $text=strtolower($request->search);
      $content = str_replace("tic", '', $text);
   
        $tickets = Ticket::getTicketdetailsByid($content);
        //print_r($tickets);exit;
           return view('engineer.ticket.tickettrack',compact('tickets'));
    }

    public function cupdstatus(Request $request)
    {
      
       $ticket = Ticket::find($request->tic_id);
        $ticket->tic_status = $request->status;     
                  
        if($ticket->save()) {     
         /*>>Mail::to('kiran@ssquadglobal.com')
         ->bcc('ajo@doctorslink.in')
         ->send(new StatusToComplete($ticket)); */        
     $request->session()->flash('success', 'Ticket Updated Successfully');
          return redirect("custindex");

      }
           
    }

     public function tupdstatus(Request $request)
    {
      
       $ticket = Ticket::find($request->tic_id);
        $ticket->tic_status = $request->status;     
                   
        if($ticket->save()) {
        /*>>Mail::to('kiran@ssquadglobal.com')
         ->bcc('ajo@doctorslink.in')
         ->send(new StatusToComplete($ticket));   */           
     $request->session()->flash('success', 'Ticket Updated Successfully');
          return redirect("tviewticket");

      }
           
    }
    public function closeticket(Request $request)
    {
      
       $ticket = Ticket::find($request->tic_id);
       $ticket->tic_status = $request->status;
        
         
                 
        if($ticket->save()) {    
         /*>>Mail::to('kiran@ssquadglobal.com')
         ->bcc('ajo@doctorslink.in')
         ->send(new StatusToComplete($ticket));*/           
     $request->session()->flash('success', 'Ticket Updated Successfully');
          return redirect("ticket");

      }
           
    }

}
