@extends('layouts.dashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Update Engineers
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Update Engineers</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">Update Engineers</h3>
                    </div>
                    <div class="box-body">
                      {!! Form::model($tech,['method' => 'PATCH','route'=>['tech.update',$tech->id],'id'=>'formTechEdit', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data']) !!}
                       {{ csrf_field() }}
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Engineer Name</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="enggname" id="enggname" value="{{ $tech->tc_name ? : old('tc_name') }}" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Engineer Email</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="enggemail" id="enggemail" value="{{ $tech->tc_email ? : old('tc_email') }}" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Engineer Mobile</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="enggmobile" id="enggmobile" value="{{ $tech->tc_phn ? : old('tc_phn') }}" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Location</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <select class="form-control" name="enggloc" id="enggloc" required>
                                  <option value="">Select</option>
                                  @foreach ($locations as $loc)
                                 <option value="{{$loc->id}}" @if ($loc->id == $tech->loc_id) selected="selected" @endif >{{$loc->loc_name}}</option>

                                 @endforeach
                                </select>
                            </div>
                        </div>

    </div>
                        <div class="col-md-6">
                        <div class="form-group">
                            <label>Skill Set</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="enggskill" id="enggskill" value="{{ $tech->tc_skill ? : old('tc_skill') }}"/>
                            </div>
                        </div>
                            <div class="form-group">
                  <label>Joining Date</label>
                  <div class="input-group date">
                    <div class="input-group-addon">
                      <i class="fa fa-calendar"></i>
                    </div>
                    <input class="form-control pull-right" id="datepicker" name="datepicker" type="text" value="{{ $tech->tc_join_date ? : old('tc_join_date') }}">
                  </div>
                  <!-- /.input group -->
                </div>
                <div class="form-group">
                    <label>password</label>
                    <div class="input-group">
                        <div class="input-group-addon">
                            <i class="fa fa-map-marker" aria-hidden="true"></i>
                        </div>
                        <input type="password" class="form-control" name="enggpwd" id="enggpwd" value="{{ $tech->tc_pwd ? : old('tc_pwd') }}" required="required"/>
                    </div>
                </div>

                        </div>
                        <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                          <button type="submit" class="btn btn-danger">Update Engineer</button>
                            <button type="submit" class="btn bg-black">Cancel</button>
                        </div>
                        {!! Form::close() !!}
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

                <!-- /.box -->

            </div><!-- /.col (left) -->
        </div><!-- /.row -->

    </section><!-- /.content -->
</aside><!-- /.right-side -->
@endsection
