@extends('layouts.dashboard')
@section('content')
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Update Customer
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Update Customer</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">Update Customer</h3>
                    </div>
                  {!! Form::model($customer,['method' => 'PATCH','route'=>['customer.update',$customer->id],'id'=>'formCusEdit', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data']) !!}
                      {{ csrf_field() }}
                    <div class="box-body">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Customer Name</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="name" id="name" required="required" value="{{ $customer->c_name ? : old('c_name') }}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Company Name</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="com_name" id="com_name" value="{{ $customer->cmpy_name ? : old('cmpy_name') }}" required="required" />
                            </div>
                        </div>
                        <div class="form-group">
                          <label>Communication Address</label>
                          <textarea class="form-control" rows="1" placeholder="Address" name="address" id="address" required="required">{{ $customer->c_address ? : old('c_address') }}</textarea>
                        </div>
                        <div class="form-group">
                            <label>Email ID</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="email" id="email" value="{{ $customer->c_email ? : old('c_email') }}" required="required"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Contact Number</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" name="number" id="number" value="{{ $customer->c_phn ? : old('c_phn') }}" required="required"/>
                            </div>
                        </div>

    </div>
                        <div class="col-md-6">
                        <div class="form-group">
                            <label>Location</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <select class="form-control" name="location" id="location" required>
                                    <option>Select Location</option>
                                      @foreach ($locations as $index => $element)
                                    <option value="{{$element->id}}" {{ $element->id == $customer->loc_id ? 'selected="selected"': '' }}>{{$element->loc_name}}</option>
                                      @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                                <label>Contract Type</label>
                                <select class="form-control" name="contract" id="contract" required="required">
                                    <option>Select Contract</option>
                                    @foreach ($contracts as $index => $element)
                                  <option value="{{$element->id}}" {{ $element->id == $customer->c_con_type ? 'selected="selected"': '' }}>{{$element->cont_name}}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                            <label>Contract Start Date </label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </div>
                                <input class="form-control pull-right" id="datepicker" type="text" value="{{ $customer->c_start_date ? : old('c_start_date') }}" name="st_date"  required="required" >
                            </div><!-- /.input group -->
                          </div>
                          <div class="form-group">
                          <label>Contract End Date </label>
                          <div class="input-group">
                              <div class="input-group-addon">
                                  <i class="fa fa-calendar"></i>
                              </div>
                              <input class="form-control pull-right" id="datepicker2" type="text" value="{{ $customer->c_end_date ? : old('c_end_date') }}" name="end_date"  required="required" >
                          </div><!-- /.input group -->
                        </div>
                          <div class="form-group">
                              <label>password</label>
                              <div class="input-group">
                                  <div class="input-group-addon">
                                      <i class="fa fa-map-marker" aria-hidden="true"></i>
                                  </div>
                                  <input type="password" class="form-control" name="password" id="password"  value="{{ $customer->c_pwd ? : old('c_pwd') }}" required="required"/>
                              </div>
                          </div>
                        </div>
                        <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                          <button type="submit" class="btn btn-danger">Update Customer</button>
                            <button type="submit" class="btn bg-black">Cancel</button>
                        </div>

                    </div><!-- /.box-body -->
                      {!! Form::close() !!}
                </div><!-- /.box -->

                <!-- /.box -->

            </div><!-- /.col (left) -->
        </div><!-- /.row -->

    </section><!-- /.content -->
</aside>
@endsection
