<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>TicketDESK</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <!-- bootstrap 3.0.2 -->
        {{ Html::style('css/bootstrap.min.css') }}
        <!-- font Awesome -->
        {{ Html::style('css/font-awesome.min.css') }}
        <!-- Ionicons -->
        {{ Html::style('css/ionicons.min.css') }}
        <!-- daterange picker -->
        {{ Html::style('css/daterangepicker/daterangepicker-bs3.css') }}
        <!-- iCheck for checkboxes and radio inputs -->
        {{ Html::style('css/iCheck/all.css') }}
        <!-- Bootstrap Color Picker -->
        {{ Html::style('css/colorpicker/bootstrap-colorpicker.min.css') }}
        <!-- Bootstrap time Picker -->
        {{ Html::style('css/timepicker/bootstrap-timepicker.min.css') }}
        <!-- Theme style -->
        {{ Html::style('css/AdminLTE.css') }}
        <!-- bootstrap datepicker -->
        {{ Html::style('css/datepicker/datepicker3.css') }}
        <!-- PNotify -->
        {{ Html::style('vendor/pnotify/dist/pnotify.css') }}
        {{ Html::style('vendor/pnotify/dist/pnotify.buttons.css') }}
        {{ Html::style('vendor/pnotify/dist/pnotify.nonblock.css') }}

        <!-- jQuery 2.0.2 -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.2/jquery.min.js"></script>

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->
    </head>
    <body class="skin-black">
        <!-- header logo: style can be found in header.less -->
        <header class="header">
            <a href="dashboard.html" class="logo">
                <!-- Add the class icon to your logo image or logo icon to add the margining -->
                TicketDESK
            </a>
            <!-- Header Navbar: style can be found in header.less -->
            <nav class="navbar navbar-static-top" role="navigation">
                <!-- Sidebar toggle button-->
                <a href="#" class="navbar-btn sidebar-toggle" data-toggle="offcanvas" role="button">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </a>
                <div class="navbar-right">
                    <ul class="nav navbar-nav">
                        <!-- User Account: style can be found in dropdown.less -->
                        <li class="dropdown user user-menu">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <i class="glyphicon glyphicon-user"></i>
                                <span>Customer <i class="caret"></i></span>
                            </a>
                            <ul class="dropdown-menu">
                                <!-- User image -->
                                <li class="user-header bg-light-blue">
                                   {{ HTML::image("img/avatar3.png", "User Image") }}
                                    
                                </li>
                               
                                <!-- Menu Footer-->
                                <li class="user-footer">
                                    
                                    <div class="pull-right">
                                        <a href="{{url('clogout')}}" class="btn btn-default btn-flat">Sign out</a>
                                    </div>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </nav>
        </header>
        <div class="wrapper row-offcanvas row-offcanvas-left">
            <!-- Left side column. contains the logo and sidebar -->
            <aside class="left-side sidebar-offcanvas">
                <!-- sidebar: style can be found in sidebar.less -->
                <section class="sidebar">
                    <!-- Sidebar user panel -->
                    <div class="user-panel">
                        <div class="pull-left image">
                            {{ HTML::image("img/avatar3.png", "User Image") }}
                        </div>
                        <div class="pull-left info">
                            <p>Hello, Customer</p>

                            <!-- <a href="#"><i class="fa fa-circle text-success"></i> Online</a> -->
                        </div>
                    </div>
                    <!-- search form -->
                   {!!  Form::open(['action' => 'TicketController@serachticketCus', 'method' => 'post']) !!}
                                {{ csrf_field() }}
                        <div class="input-group sidebar-form">
                            <input type="text" name="search" class="form-control" placeholder="Search..."/>
                            <span class="input-group-btn">
                                <button type='submit' name='ser' id='search-btn' class="btn btn-flat"><i class="fa fa-search"></i></button>
                            </span>
                        </div>
                   {!! Form::close() !!}
                    <!-- /.search form -->
                    <ul class="sidebar-menu">
                        <li class="active">
                            <a href="{{ action('HomeController@cindex')}}">
                                <i class="fa fa-dashboard"></i> <span>Dashboard</span>
                            </a>
                        </li>
                        <li class="treeview">
                            <a href="#">
                                <i class="fa fa-bar-chart-o"></i>
                                <span>Add Tickets</span>
                                <i class="fa fa-angle-left pull-right"></i>
                            </a>
                            <ul class="treeview-menu">
                                <li><a href="{{ action('TicketController@ccreate') }}"><i class="fa fa-angle-double-right"></i>Create Tickets</a></li>
                                <li><a href="{{ action('TicketController@cindex') }}"><i class="fa fa-angle-double-right"></i>View Tickets</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="{{ action('AssetController@cindex') }}">
                                <i class="fa fa-edit"></i> <span>View All Assets</span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ action('TicketController@cindex') }}">
                                <i class="fa fa-edit"></i> <span>View All Tickets</span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ action('TicketController@trackcusticket') }}">
                                <i class="fa fa-table"></i> <span>Track Ticket</span>
                            </a>
                        </li>
                        <li>
                            <a href="assistance">
                                <i class="fa fa-folder"></i> <span>FE Assistance</span>
                            </a>
                        </li>
                    </ul>
                </section>
                <!-- /.sidebar -->
            </aside>
        @yield('content')
      </div><!-- ./wrapper -->



      <!-- Bootstrap -->
      {{ Html::script('js/bootstrap.min.js') }}
      <!-- InputMask -->
      {{ Html::script('js/plugins/input-mask/jquery.inputmask.js') }}
      {{ Html::script('js/plugins/input-mask/jquery.inputmask.date.extensions.js') }}
      {{ Html::script('js/plugins/input-mask/jquery.inputmask.extensions.js') }}
      <!-- date-range-picker -->

      {{ Html::script('js/plugins/daterangepicker/daterangepicker.js') }}
      <!-- bootstrap color picker -->
      {{ Html::script('js/plugins/colorpicker/bootstrap-colorpicker.min.js') }}
      <!-- bootstrap time picker -->
      {{ Html::script('js/plugins/timepicker/bootstrap-timepicker.min.js') }}

      <!-- AdminLTE App -->
      {{ Html::script('js/AdminLTE/app.js') }}
      <!-- bootstrap datepicker -->
      {{ Html::script('js/plugins/datepicker/bootstrap-datepicker.js') }}
      {{ Html::script('vendor/pnotify/dist/pnotify.js') }}
    {{ Html::script('vendor/pnotify/dist/pnotify.buttons.js') }}
    {{ Html::script('vendor/pnotify/dist/pnotify.nonblock.js') }}
    {{ Html::script('build/js/custom.min.js') }}

      <!-- Page script -->
      <script type="text/javascript">
          $(function() {
              //Datemask dd/mm/yyyy
              $("#datemask").inputmask("dd/mm/yyyy", {"placeholder": "dd/mm/yyyy"});
              //Datemask2 mm/dd/yyyy
              $("#datemask2").inputmask("mm/dd/yyyy", {"placeholder": "mm/dd/yyyy"});
              //Money Euro
              $("[data-mask]").inputmask();

              //Date range picker
              $('#reservation').daterangepicker();
              //Date range picker with time picker
              $('#reservationtime').daterangepicker({timePicker: true, timePickerIncrement: 30, format: 'MM/DD/YYYY h:mm A'});
              //Date range as a button
              $('#daterange-btn').daterangepicker(
                      {
                          ranges: {
                              'Today': [moment(), moment()],
                              'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],
                              'Last 7 Days': [moment().subtract('days', 6), moment()],
                              'Last 30 Days': [moment().subtract('days', 29), moment()],
                              'This Month': [moment().startOf('month'), moment().endOf('month')],
                              'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]
                          },
                          startDate: moment().subtract('days', 29),
                          endDate: moment()
                      },
              function(start, end) {
                  $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
              }
              );

      //Date picker
        $('#datepicker').datepicker({

            autoclose: true

        });

        //Date picker
          $('#datepicker2').datepicker({

              autoclose: true

          });
              //iCheck for checkbox and radio inputs
              $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                  checkboxClass: 'icheckbox_minimal',
                  radioClass: 'iradio_minimal'
              });
              //Red color scheme for iCheck
              $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                  checkboxClass: 'icheckbox_minimal-red',
                  radioClass: 'iradio_minimal-red'
              });
              //Flat red color scheme for iCheck
              $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                  checkboxClass: 'icheckbox_flat-red',
                  radioClass: 'iradio_flat-red'
              });

              //Colorpicker
              $(".my-colorpicker1").colorpicker();
              //color picker with addon
              $(".my-colorpicker2").colorpicker();

              //Timepicker
              $(".timepicker").timepicker({
                  showInputs: false
              });
          });
      </script>
<script>
      $(document).ready(function() { 
        @if(Session::has('success'))       
            var msgVar = "{{Session::get('success')}}";
            new PNotify({
                                  title: 'Success',
                                  text: msgVar,
                                  type: 'success',
                                  styling: 'bootstrap3'
                              });
        @elseif(Session::has('error'))
            var msgVar = "{{Session::get('error')}}";
            new PNotify({
                                  title: 'Oh No!',
                                  text: msgVar,
                                  type: 'error',
                                  styling: 'bootstrap3'
                              });
        @endif
         });
    </script>
  </body>
</html>
