<?php

namespace Ticket;

use Illuminate\Database\Eloquent\Model;
use DB;
class Asset extends Model
{
   protected $fillable = ['c_id', 'mas_id', 'qty','created_at', 'updated_at'];

  protected static function getOemname() {
   $results = DB::table('masters')
   ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.sn','oems.oem_name','oemmodels.mod_name','locations.loc_name','categories.cat_name')
   ->join('categories', 'categories.id', '=', 'masters.cat_id')
   ->join('oems', 'oems.id', '=', 'masters.oem_id')
   ->join('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
   ->join('locations', 'locations.id', '=', 'masters.loc_id')
   //->where('master.mas_status', '=', '1')
   ->where('masters.prt_qty', '!=', '0')
   ->get(); // Notice the shares.* here
   //var_dump($results); die;

  return $results;
  }

  protected static function getClientByLoc($id) {
    $models = DB::table('customers')->select("c_name","id","cmpy_name")
                ->where("loc_id", '=', $id)->get();

              // $queries = DB::getQueryLog();
          // echo '<pre>'; print_r($queries);die;
    return $models;
  }
  // protected static function getAssetByOem($oemId,$mId=null)
  protected static function getAssetByOem($oemId) {
   $results = DB::table('masters')
   ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.sn','oems.oem_name','oemmodels.mod_name','locations.loc_name','categories.cat_name','serials.serial_no')
   ->leftJoin('categories', 'categories.id', '=', 'masters.cat_id')
   ->leftJoin('oems', 'oems.id', '=', 'masters.oem_id')
    ->leftJoin('serials', 'serials.id', '=', 'oems.serial_id')
   ->leftJoin('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
   ->leftJoin('locations', 'locations.id', '=', 'masters.loc_id')
  //  if($mId){
  //     ->where('oemmodels.id', '=', $mId)
  //  }
   //->where('master.mas_status', '=', '1')
   ->where('oems.id', '=', $oemId)
   ->where('masters.prt_qty', '!=', '0')
   ->get(); // Notice the shares.* here
   //var_dump($results); die;

  return $results;
  }

  protected static function getAssetByModel($oemId,$mId) {
   $results = DB::table('masters')
   ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.sn','oems.oem_name','oemmodels.mod_name','locations.loc_name','categories.cat_name','serials.serial_no')
   ->leftJoin('categories', 'categories.id', '=', 'masters.cat_id')
   ->leftJoin('oems', 'oems.id', '=', 'masters.oem_id')
   ->leftJoin('serials', 'serials.id', '=', 'oems.serial_id')
   ->leftJoin('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
   ->leftJoin('locations', 'locations.id', '=', 'masters.loc_id')
  //  if($mId){
  //     ->where('oemmodels.id', '=', $mId)
  //  }
   //->where('master.mas_status', '=', '1')
   ->where('masters.prt_qty', '!=', '0')
   ->where('oems.id', '=', $oemId)
   ->where('oemmodels.id', '=', $mId)
   ->get(); // Notice the shares.* here
   //var_dump($results); die;

  return $results;
  }


 protected static function getAssetByCat($catid) {
   $results = DB::table('categories')
   ->select('categories.id','categories.cat_name','serials.serial_no','serials.id as serial_id')
   ->leftJoin('serials', 'categories.id', '=', 'serials.cat_id')   
   ->where('categories.id', '=', $catid)   
   ->get();

  return $results;
  }

protected static function getAssetBySerial($catid,$serid) {
   $results = DB::table('categories')
   ->select('categories.id','categories.cat_name','serials.serial_no','serials.id as serial_id')
   ->leftJoin('serials', 'categories.id', '=', 'serials.cat_id')   
   ->where('categories.id', '=', $catid)  
    ->where('serials.id', '=', $serid)   
   ->get();

  return $results;
  }
  
  protected static function getAssetBycusts($catid,$serid) {
   $results = DB::table('parts')
   ->select('categories.id','categories.cat_name','serials.serial_no','serials.id as serial_id','parts.cat_id','parts.c_id','parts.ser_id','parts.id','parts.po_number','parts.c_start_date','parts.c_end_date','parts.created_at')
   ->leftJoin('serials', 'serials.id', '=', 'parts.ser_id') 
   ->leftJoin('categories', 'categories.id', '=', 'parts.cat_id')   
   ->where('parts.cat_id', '=', $catid)  
    ->where('parts.ser_id', '=', $serid)   
   ->get();
      
  return $results;
  }

  // protected static function getassetListBYcus($id) {
  //  $results = DB::table('assets')
  //  ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.sn','oems.oem_name','oemmodels.mod_name','categories.cat_name','serials.serial_no')
  //  ->join('masters', 'masters.id', '=', 'assets.mas_id')
  //  ->join('categories', 'categories.id', '=', 'masters.cat_id')
  //  ->join('oems', 'oems.id', '=', 'masters.oem_id')
  //  ->join('serials', 'serials.id', '=', 'oems.serial_id')
  //  ->join('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
  
  // //  if($mId){
  // //     ->where('oemmodels.id', '=', $mId)
  // //  }
  //  //->where('master.mas_status', '=', '1')
  //  ->where('assets.c_id', '=', $id)
   
  //  ->get(); // Notice the shares.* here
  //  //var_dump($results); die;

  // return $results;
  // }

  protected static function getassetListBYcus($id) {
   $results = DB::table('parts')
   ->select('parts.id', 'parts.c_id', 'parts.cat_id', 'parts.ser_id', 'parts.po_number', 'parts.c_start_date', 'parts.c_end_date','categories.cat_name','serials.serial_no')
   //->join('masters', 'masters.id', '=', 'assets.mas_id')
   ->join('categories', 'categories.id', '=', 'parts.cat_id')
   //->join('oems', 'oems.id', '=', 'masters.oem_id')
   ->join('serials', 'serials.id', '=', 'parts.ser_id')
   //->join('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
  
  //  if($mId){
  //     ->where('oemmodels.id', '=', $mId)
  //  }
   //->where('master.mas_status', '=', '1')
   ->where('parts.c_id', '=', $id)
   
   ->get(); // Notice the shares.* here
   //var_dump($results); die;

  return $results;
  }
  

  // protected static function delAsset(){
  //
  //   $results  = DB::table(masters)
  //   ->where('prt_qty', '=' '0')
  //   ->delete();
  //
  // }

protected static function getassetqty($id) {
    $assetqty = DB::table('assets')->select("c_id","id","qty")
                ->where("mas_id", '=', $id)->first();
    return $assetqty;
  }
  protected static function getassetqtycus($id,$cus_id) {
    $assetqty = DB::table('assets')->select("c_id","id","qty")
                ->where("mas_id", '=', $id)
                ->where("c_id", '=', $cus_id)->first();
    return $assetqty;
  }
  
}
