<?php

namespace Ticket\Http\Controllers;
use Ticket\Http\Controllers\Controller;
use Ticket\Oem;
use Ticket\Category;
use Ticket\Serial;
use Illuminate\Http\Request;
use Validator;
use Response;
use Illuminate\Support\Facades\Input;

class OemController extends Controller
{
  // public function __construct()
  // {
  //     $this->middleware('auth');
  // }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
       $cats = Category::all();
       $categories = Oem::getCategory();
       $serials = Serial::all();
      return view("admin.oem.oemlist", compact('cats','categories','serials'));
    }

    public function toem()
    {
       //$oems = Oem::all();
      $cats = Category::all();
      $categories = Oem::getCategory();
      $serials = Serial::all();
       
      return view("engineer.oem.oemlist", compact('cats','categories','serials'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
         return view('admin.oem.oemcreate');
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       if ($request->isMethod('post')) {
        $this->validate($request, [
            'cat_id'  => 'required',
            'serial_id'  => 'required',
            'oem_name' => 'bail|required|max:50'
        ]);

            $oem = new Oem;

                $oem->cat_id   =$request->cat_id;
                $oem->serial_id=$request->serial_id;
                $oem->oem_name     = $request->oem_name;
                 $oem->oem_status     = '1';

              if($oem->save()) {
                $request->session()->flash('success', 'OEM Created Successfully');
                return redirect()->route("oem.index");
              }


      }
    }

    /**
    
    add OEM from enginner module    
    **/
    public function tstore(Request $request)
    {
       if ($request->isMethod('post')) {
        $this->validate($request, [
            'cat_id'  => 'required',
            'serial_id'  => 'required',
            'oem_name' => 'bail|required|max:50'
        ]);

            $oem = new Oem;
                 
                $oem->cat_id   =$request->cat_id;
                $oem->serial_id=$request->serial_id;
                $oem->oem_name     = $request->oem_name;
                 $oem->oem_status     = '1';

              if($oem->save()) {
                $request->session()->flash('success', 'OEM Created Successfully');
                //return view("engineer.oem.oemlist");
                //return redirect()->route("oem.toem");
                 $oems = Oem::all();
                 $cats = Category::all();
                  $categories = Oem::getCategory();
      return view("engineer.oem.oemlist", compact('oems','cats','categories'));
              }


      }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
      $oem=Oem::find($id);
      $serials = Serial::all();
      $cats = Category::all();
        return view('admin.oem.oemedit',compact('oem','cats','serials'));
    }

    public function tedit($id)
    {
      $oem=Oem::find($id);
       $serials = Serial::all();
    $cats = Category::all();

        return view('engineer.oem.oemedit',compact('oem','cats','serials'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
      if ($request->isMethod('patch')) {
        $this->validate($request, [
            'cat_id'  =>'required',
            'serial_id'  => 'required',
            'oem_name' => 'bail|required|unique:oems,oem_name,'.$id.'|max:50',
        ]);
        $oem = Oem::find($id);
        $oem->cat_id      = $request->cat_id;
        $oem->serial_id  =$request->serial_id;
        $oem->oem_name 	 = $request->oem_name;
        $oem->oem_status      = '1';
        
        if($oem->save()) {
          $request->session()->flash('success', 'Oem Updated Successfully');
          return redirect()->route("oem.index");
        }

      }
    }

    public function tupdate(Request $request)
    {
      if ($request->isMethod('post')) {
        $this->validate($request, [
            'cat_id'  =>'required',
            'serial_id'  => 'required',
            'oem_name' => 'bail|required|unique:oems,oem_name,|max:50',
        ]);
        $oem = Oem::find($request->id);
        $oem->cat_id      = $request->cat_id;
        $oem->serial_id  =$request->serial_id;
        $oem->oem_name   = $request->oem_name;
        $oem->oem_status      = '1';
        
        if($oem->save()) {
          $request->session()->flash('success', 'Oem Updated Successfully');
          return redirect("techoem");
        }

      }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
      $oem = Oem::find($id);
        if($oem->delete()){

            return redirect()->route("oem.index")->with('success', 'Deleted successfully');
        }else{
            return redirect()->route("oem.index")->with('error','Delete failed');
        }

    }


    public function tdestroy(Request $request,$id)
    {
      $oem = Oem::find($id);
      //$oems = Oem::all();
        if($oem->delete()){

            //return redirect()->route("oem.index")->with('success', 'Deleted successfully');

        $request->session()->flash('success', 'Oem deleted Successfully');  
        return redirect("techoem"); 
      //return view("engineer.oem.oemlist", compact('oems'));

        }else{

            //return view("engineer.oem.oemlist", compact('oems'));
            return redirect()->route("oem.index")->with('error','Delete failed');
        }

    }
 
  public function modelAjax($id)
   {
     $serials = Oem::getSerialByCat($id);

    //echo '<pre>'; print_r($serials);die;
     return json_encode($serials);
   }

   public function custAjax($id)
   {
     $serials = Oem::getCategoryByCust($id);

    //echo '<pre>'; print_r($serials);die;
     return json_encode($serials);
   }

   
}
