<?php

namespace Ticket;

use Illuminate\Database\Eloquent\Model;
use DB;

class Report extends Model
{
    //
    protected $fillable = ['tic_id', 'tech_id', 'ser_type', 'pto_id', 'multiple_visit','slr_meets', 'fe_upload', 'work_done', 'mission_status', 'customer_satisfied', 'created_at', 'updated_at'];


    protected static function getTicketdetails() {
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','oems.oem_name','oemmodels.mod_name','masters.prt_no','attachments.att_name','statuses.sta_name')
->leftjoin('masters', 'masters.id', '=', 'tickets.mas_id')
->leftjoin('oems', 'oems.id', '=', 'tickets.oem_id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
//->join('locations', 'locations.id', '=', 'masters.loc_id')
   ->leftjoin('attachments', 'attachments.tic_id', '=', 'tickets.id')
   ->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')
   ->leftjoin('reports','reports.tic_id', '=', 'tickets.id')
  ->orderBy('tickets.id','desc')
   ->distinct()    
   ->get(); // Notice the shares.* here
   //var_dump($results); die;
  return $results;
}

protected static function getReportTicketByID($id) {
  
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','tickets.ast_id','tickets.created_at','oems.oem_name','oemmodels.mod_name','masters.prt_no','masters.prt_desc','locations.loc_name','customers.cmpy_name','customers.c_address','customers.c_email','customers.c_phn','customers.c_name','tickets.tic_sr_no','tickets.tic_email','tickets.tic_phn','reports.ser_type','reports.pto_id','reports.multiple_visit','reports.slr_meets','reports.fe_upload','reports.work_done','reports.mission_status','reports.customer_satisfied','categories.cat_name','teches.tc_name','serials.serial_no')
   ->leftjoin('customers','customers.id', '=', 'tickets.c_id')
   ->leftjoin('reports','reports.tic_id', '=', 'tickets.id')
   ->leftjoin('teches','reports.tech_id', '=', 'teches.id')
 ->leftjoin('assets', 'assets.id', '=', 'tickets.ast_id')
 ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')
 ->leftjoin('locations', 'locations.id', '=', 'tickets.loc_id')
 ->leftjoin('categories', 'categories.id', '=', 'tickets.cat_id')
  ->leftjoin('serials', 'serials.id', '=', 'tickets.serial_id')
->leftjoin('oems', 'oems.id', '=', 'tickets.oem_id')
->leftjoin('oemmodels', 'oemmodels.id', '=', 'tickets.mod_id')
   ->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')
   ->where('reports.tic_id', '=', $id)
   ->first(); 
  
  return $results;
}
protected static function getslareport($customer, $datefrom,$dateto) {
  
   $results = DB::table('tickets')
   ->select('tickets.id','tickets.c_id','tickets.tic_subject','tickets.tic_desc','tickets.tic_source','tickets.tic_type','tickets.ast_id','tickets.created_at','teches.tc_name','statuses.sta_name','reports.slr_meets')
   ->leftjoin('customers','customers.id', '=', 'tickets.c_id')
   ->leftjoin('reports','tickets.id', '=', 'reports.tic_id')
   ->leftjoin('teches','reports.tech_id', '=', 'teches.id')
 
 //->leftjoin('replacements','reports.id', '=', 'replacements.rep_id')
 //->leftjoin('assets', 'assets.id', '=', 'replacements.ast_id')
 //->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')
 //->leftjoin('locations', 'locations.id', '=', 'tickets.loc_id')
 //->leftjoin('categories', 'categories.id', '=', 'masters.cat_id')
//->leftjoin('oems', 'oems.id', '=', 'masters.oem_id')
//->leftjoin('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
   ->leftjoin('statuses','statuses.id', '=', 'tickets.tic_status')
   ->where('customers.id', '=', $customer)
    ->whereBetween('tickets.created_at', array($datefrom, $dateto))
    ->orderBy('tickets.id')
    ->distinct()
   ->get(); 
  
  return $results;
}
protected static function getCustomerdetails($id) {
   $results = DB::table('customers')
   ->select("customers.c_name","customers.cmpy_name","customers.c_address","customers.c_email","customers.c_phn","countries.con_name","states.st_name","cities.ct_name")
   ->join('locations','customers.loc_id', '=', 'locations.id')
   ->join('cities','cities.id', '=', 'locations.ct_id')
   ->join('states','states.id', '=', 'locations.st_id')
   ->join('countries','countries.id', '=', 'locations.con_id')
   ->where('customers.id', '=', $id)
    ->first(); 
  
  return $results;


}
protected static function getDefectiveParts($id) {
     $partno = DB::table('defectives')->select("id","ref","rep_id","prt_no","serial_no","tag_id")
                ->where("tic_id", '=', $id)->get();
    return $partno;
  }

  protected static function getReplaceParts($id) {
     $partno = DB::table('replacements')->select("id","ref","rep_id","ast_id","prt_no","serial_no","tag_id")
                ->where("tic_id", '=', $id)->get();
    return $partno;
  }

  protected static function gettimes($id) {
     $partno = DB::table('times')->select("id","tdate","start_time","end_time","travel_time","arr_site_time","dep_site_time")
                ->where("tic_id", '=', $id)->get();
    return $partno;
  }
   protected static function getClientByLocSla($id) {
    $models = DB::table('customers')->select("c_name","id","cmpy_name")
                ->where("loc_id", '=', $id)
                ->where("c_con_type", '=', 4)->get();

              // $queries = DB::getQueryLog();
          // echo '<pre>'; print_r($queries);die;
    return $models;
  }

}
