<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDslsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dsls', function (Blueprint $table) {
            $table->increments('id');
            $table->char('open',255);
            $table->integer('locid');
            $table->char('issue',255);
            $table->integer('type');
            $table->char('reason',255);
            $table->enum('con_end_user', ['Y', 'N']);
            $table->enum('followup', ['Y', 'N']);
            $table->enum('parts_required', ['Y', 'N']);
            $table->char('partno',255);
            $table->char('partstatus',255);
            $table->char('contact',255);
            $table->enum('updated', ['Y', 'N']);
            $table->char('remarks',255);
            $table->integer('status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dsls');
    }
}
