@extends('layouts.dashboard')
@section('content')
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            View Location
        </h1>
        <!-- <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Tables</a></li>
            <li class="active">View Location</li>
        </ol> -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
            <div class="box box-danger box-widget">
                <div class="widget-head clearfix">
                        <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                        <h4 class="box-title">View Location</h4>
                    </div><!-- /.box-header -->
                   <div class="col-md-12 box-body">
                        <table id="loclist" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                            <thead style="background:#e9e9e9;">
                                <tr>
                                    <th width="10%">No#</th>
                                    <th width="14%">Country</th>
                                    <th width="14%">State</th>
                                    <th width="14%">City</th>
                                    <th width="15%">Location</th>
                                    <th width="14%">Status</th>
                                    <th width="19%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            @foreach ($locations as $index => $element)
                                <tr>
                                    <td>{{$index+1}}</td>
                                    <td>{{$element->con_name}}</td>
                                    <td>{{$element->st_name}}</td>
                                    <td>{{$element->ct_name}}</td>
                                    <td>{{$element->loc_name}}</td>
                                    <?php  if($element->loc_status == 1){

                                                $status = 'Active';

                                                $class = 'label label-info';

                                            } else {

                                                $status = 'In-Active';

                                                $class = 'label label-warning';

                                            } ?>
                                    <td><div class="activeTab">
                                        <label class="<?php echo $class; ?>"><?php echo $status; ?></label></a>
                                        </div>
                                    </td>
            <td>
              <a class="btn btn-primary" href="{{ route('location.edit', array('id' => $element->id)) }}">
<span class="glyphicon glyphicon-edit"></span> Edit
</a>
<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->loc_name}}" onclick="delete_loc(<?php echo $element->id ?>);">
<span class="glyphicon glyphicon-trash"></span> Delete
</button>

            </td>
                                </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->
                </div>
            </div>
       

    </section><!-- /.content -->
</aside>
@endsection
<script type="text/javascript">

    function delete_loc(stId) {
         swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "No, cancel the actions!",
            closeOnConfirm: false,
            closeOnCancel: false
         },

         function(isConfirm) {
            if (isConfirm) {
               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy
               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "{{url('/delete_loc')}}/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                     //table.ajax.reload(null, false); //just reload table
                      $("#loclist").load(window.location + " #loclist");
                       swal("Deleted!", "Location has been deleted.", "success");
                 },
                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');
                 }
               });
            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>
