<?php
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| This file is where you may define all of the routes that are handled
| by your application. Just tell Laravel the URIs it should respond
| to using a Closure or controller method. Build something great!
|
*/

Route::get('/', function () {
    return view('/auth/login');
});

Route::get('/newpage', function () {
    return view('newbootstrap');
});

Route::get('customerss', 'HomeController@cindex');
Route::get('engineers', 'HomeController@eindex');
Route::get('ticketCount', 'HomeController@ticketCountall');

Route::get('ccreate', 'TicketController@ccreate');
Route::get('cedit/{id}', 'TicketController@cticketedit');
Route::post('cupdate', 'TicketController@cupdate');
Route::get('cshow/{id}', 'TicketController@cshow');
Route::get('comshow/{id}', 'TicketController@comshow');
Route::get('tshow/{id}', 'CustomerController@tshow');

Route::get('tserindex', 'SerialController@tindex');
Route::post('tserstore', 'SerialController@tstore');
Route::get('tseredit/{id}', 'SerialController@tedit');
Route::post('tserupdate', 'SerialController@tupdate');
Route::get('serials', 'SerialController@index');


Route::get('tlocindex', 'LocationController@tindex');
Route::get('tloccreate', 'LocationController@tcreate');
Route::post('tloccstore', 'LocationController@tstore'); 
Route::get('tlocedit/{id}', 'LocationController@tedit');
Route::post('tlocupdate', 'LocationController@tupdate');
Route::get('tlocdestroy/{id}', 'LocationController@tdestroy');

Route::get('tcatindex', 'CategoryController@tindex');
Route::post('tcatstore', 'CategoryController@tstore');
Route::get('tcatedit/{id}', 'CategoryController@tedit');
Route::post('tcatupdate', 'CategoryController@tupdate');
Route::get('tcatdestroy/{id}', 'CategoryController@tdestroy');

Route::get('tcustindex', 'CustomerController@tindex'); 
Route::get('tcustcreate', 'CustomerController@tcreate');
Route::post('tcuststore', 'CustomerController@tstore');
Route::get('tcustedit/{id}', 'CustomerController@tedit');
Route::post('tcustupdate', 'CustomerController@tupdate');
Route::get('tcustdestroy/{id}', 'CustomerController@tdestroy');

Route::get('tmastindex', 'MasterController@tindex'); 
Route::post('tmaststore', 'MasterController@tstore');
Route::get('tmastedit/{id}', 'MasterController@tedit');
Route::post('tmastupdate', 'MasterController@tupdate');
Route::get('tmastdestroy/{id}', 'MasterController@tdestroy');

Route::get('assetindex', 'AssetController@cindex');

//

Route::get('tcountry', 'CountryController@tindex');
Route::post('tcountrystore', 'CountryController@tstore');
Route::get('tcountryedit/{id}', 'CountryController@tedit');
Route::post('tcountryupdate', 'CountryController@tupdate');
Route::get('tcountrydestroy/{id}', 'CountryController@tdestroy');


Route::get('tstate', 'StateController@tindex');
Route::post('tstatestore', 'StateController@tstore');
Route::get('tstateedit/{id}', 'StateController@tedit');
Route::post('tstateupdate', 'StateController@tupdate');
Route::get('tstatedestroy/{id}', 'StateController@tdestroy');


Route::get('tcity', 'CityController@tindex');
Route::post('tcitystore', 'CityController@tstore');
Route::get('tcityedit/{id}', 'CityController@tedit');
Route::post('tcityupdate', 'CityController@tupdate');
Route::get('tcitydestroy/{id}', 'CityController@tdestroy');
Route::get('ticdetails/{id}', 'TicketController@trackshow');
Route::get('downloadfiles', 'MasterController@downloads');
Route::get('tviewticket', 'TicketController@tindex');
Route::get('closeindex', 'TicketController@closeindex');
Route::get('tticdetails/{id}', 'TicketController@tshow');
Route::get('ttickcreate', 'TicketController@tcreate'); 
Route::post('ttickstore', 'TicketController@tstore');
Route::get('ttickedit/{id}', 'TicketController@tedit');
Route::post('tticktupdate', 'TicketController@tupdate');
Route::get('ttickdestroy/{id}', 'TicketController@tdestroy');
Route::get('ttrackticket', 'TicketController@ttrackticket');
Route::post('tservlog', 'TicketController@serviceLog');

Route::post('techadd', 'TicketController@techadd');  
Route::get('toemedit/{id}', 'OemController@tedit');
Route::get('tdestroy/{id}', 'OemController@tdestroy');
Route::get('tmodeldestroy/{id}', 'OemmodelController@tdestroy');
Route::get('tmodeledit/{id}', 'OemmodelController@tedit');
Route::get('trackticket', 'TicketController@trackticket');
Route::get('trackcusticket', 'TicketController@trackcusticket');

Route::get('/engineer', 'LoginController@index');
Route::get('/customer', 'LoginController@index');
Route::get('techoem', 'OemController@toem');
Route::get('custindex', 'TicketController@cindex');
Route::get('techmodel', 'OemmodelController@tmodel');
Route::post('tracking', 'TicketController@serachticket');
Route::post('trackingCus', 'TicketController@serachticketCus');
Route::post('trackingTec', 'TicketController@tserachticket');

Route::post('/engineer/tlogin', 'LoginController@tlogin');
// Route::post('/customer/clogin', 'LoginController@tlogin');
Route::post('tstore', 'OemController@tstore');
Route::post('cstore', 'TicketController@cstore');
Route::post('tupdate', 'OemController@tupdate');
Route::post('techmodelupdate', 'OemmodelController@tupdate');
Route::post('cupdstatus', 'TicketController@cupdstatus');
Route::post('tupdstatus', 'TicketController@tupdstatus');
Route::post('closeticket', 'TicketController@closeticket');

Route::post('assetstore', 'AssetController@assetstore');
Route::post('tassetstore', 'AssetController@tstore');
Route::get('assetedit/{$id}', 'AssetController@assetedit');
Route::get('edita', 'AssetController@edita');


Route::post('tmodelstore', 'OemmodelController@tstore');
Route::resource('status', 'StatusController');
Route::resource('location', 'LocationController');
Route::resource('location/create', 'LocationController@create');
Route::resource('customer', 'CustomerController');
Route::resource('tech', 'TechController');//2 routes test if issue

//Route::post('dslstore', 'DslController@store');
//Route::post('','DslController@store')->name('dsl.store');


Route::resource('report', 'ReportController');
Route::get('reportindex', 'ReportController@reportindex');
Route::get('slatechindex', 'ReportController@slatechindex');
Route::get('slareport', 'ReportController@slaindex');
Route::post('sla', 'ReportController@slastore');
Route::resource('category', 'CategoryController');
Route::resource('serial', 'SerialController');
Route::resource('oem', 'OemController');
Route::resource('model', 'OemmodelController');
Route::resource('assistance', 'AssistanceContoller');
Route::resource('tech', 'TechController');
Route::resource('dsl', 'DslController');

Route::resource('asset', 'AssetController');
Route::get('allocateasset', 'AssetController@allocateasset');
Route::get('allocateasset_edit', 'AssetController@allocateasset_edit');

Route::resource('master', 'MasterController');
Route::resource('ticket', 'TicketController');
Route::resource('managecountry', 'CountryController');
Route::resource('managestate', 'StateController');
Route::resource('managecity', 'CityController');
Route::get('csvupload', 'MasterController@showCsv');
Route::post('importExcel', 'MasterController@importExcel');
Route::post('serach','MasterController@serachAjax');
Route::post('tserach','MasterController@serachAjaxTech');

Route::get('tcsvupload', 'MasterController@tshowCsv');
Route::post('timportExcel', 'MasterController@timportExcel');
Route::get('tmastasset', 'AssetController@tindex');
Route::get('sendmail', 'CustomerController@send_mail');
Route::get('sendmailtosales', 'CustomerController@sendmail_sales');

Route::get('delete_con/{id}', 'CountryController@destroy');
Route::get('delete_ct/{id}', 'CityController@destroy');
Route::get('delete_st/{id}', 'StateController@destroy');
Route::get('delete_loc/{id}', 'LocationController@destroy');
Route::get('delete_cust/{id}', 'CustomerController@destroy');
Route::get('delete_category/{id}', 'CategoryController@destroy');
Route::get('delete_serno/{id}', 'SerialController@destroy');
Route::get('delete_oem/{id}', 'OemController@destroy');
Route::get('delete_oemmodel/{id}', 'OemmodelController@destroy');
Route::get('delete_master/{id}', 'MasterController@destroy');
Route::get('delete_techs/{id}', 'TechController@destroy');

Route::get('tdelete_con/{id}', 'CountryController@tdestroy');
Route::get('tdelete_st/{id}', 'StateController@tdestroy');
Route::get('tdelete_ct/{id}', 'CityController@tdestroy');
Route::get('tdelete_loc/{id}', 'LocationController@tdestroy');
Route::get('tdelete_category/{id}', 'CategoryController@tdestroy');
Route::get('tdelete_serno/{id}', 'SerialController@tdestroy');
Route::get('tdelete_oem/{id}', 'OemController@tdestroy');
Route::get('tdelete_oemmodel/{id}', 'OemmodelController@tdestroy');
Route::get('tdelete_master/{id}', 'OemmodelController@tdestroy');
Route::get('tdelete_cust/{id}', 'CustomerController@tdestroy');


Route::resource('request', 'MaterialController');
Route::get('materialshow/{id}', 'MaterialController@show');
Route::get('request_index', 'MaterialController@req_index');
Route::get('materialedit/{id}', 'MaterialController@edit');
Route::post('materialstore', 'MaterialController@update');
Route::get('materialshowadmin/{id}', 'MaterialController@admin_show');

//Route::get('/logout', 'Auth\LoginController@logout');

Route::get('test-mail','HomeController@testMail');


Route::get('formmodel/ajax/{id}',array('as'=>'formmodel.ajax','uses'=>'OemmodelController@modelAjax'));
Route::get('formticket/ajax/{id}',array('as'=>'formticket.ajax','uses'=>'TicketController@modelAjax'));
Route::get('formticketall/ajax/{id}',array('as'=>'formticket.ajax','uses'=>'TicketController@custAjax'));
Route::get('formpartall/ajax/{id}/{omid}/{mdlid}',array('as'=>'formticket.ajax','uses'=>'TicketController@partAjax'));
Route::get('formpartno/ajax/{id}',array('as'=>'formticket.ajax','uses'=>'TicketController@partnoAjax'));
Route::get('formcity/ajax/{id}',array('as'=>'formcity.ajax','uses'=>'CityController@modelAjax'));
;

Route::get('formserial/ajax/{id}',array('as'=>'formmodel.ajax','uses'=>'OemController@modelAjax'));
Route::get('formcategory/ajax/{id}',array('as'=>'formasset.ajax','uses'=>'OemController@custAjax'));

Route::get('formasset/ajax/{id}',array('as'=>'formasset.ajax','uses'=>'MasterController@modelAjax'));
Route::get('formassetall/ajax/{id}',array('as'=>'formasset.ajax','uses'=>'AssetController@custAjax'));
Route::get('formassetlist/ajax/{id}/{mid}',array('as'=>'formasset.ajax','uses'=>'AssetController@listAjax'));
Route::get('formassetlistcus/ajax/{id}/{mid}',array('as'=>'formassetlistcus.ajax','uses'=>'AssetController@listAssetAjax')); 
Route::get('formpartslistcus/ajax/{id}/{mid}',array('as'=>'formassetlistcus.ajax','uses'=>'AssetController@listpartsAjax'));
Route::get('formsla/ajax/{id}',array('as'=>'formasset.ajax','uses'=>'ReportController@custSlaAjax'));

//Route::get('formassetlistcus/ajax/{id}',array('as'=>'formassetlistcus.ajax','uses'=>'OemmodelController@modelAjax'));


Route::get('myform/ajax/{id}',array('as'=>'myform.ajax','uses'=>'LocationController@myformAjax'));
Route::get('myform/ctajax/{id}',array('as'=>'myformctAjax.ajax','uses'=>'LocationController@myformctAjax'));
Route::get('clogin', 'LoginController@tindex');

//Route::get('piechart', 'HomeController@slapiechart');
//Route::get('google-piechart',array('as'=>'chart.piechart','uses'=>'HomeController@slapiechart'));
Auth::routes();


Route::get('/dashboard', 'HomeController@index');
//Route::get('piechart', 'HomeController@slapiechart');

Route::get('/live_search', 'SearchController@index');
Route::get('/tlive_search', 'SearchController@tindex');
Route::get('/ticket_search', 'SearchController@ticketindex');
Route::get('/tticket_search', 'SearchController@techticindex');

Route::get('/live_search/action', 'SearchController@action')->name('live_search.action');
Route::get('/tlive_search/taction', 'SearchController@taction')->name('tlive_search.taction');

Route::get('/ticket_search/action', 'SearchController@ticaction')->name('ticket_search.ticaction');




Event::listen('illuminate.query',function($query){
    //var_dump($query);
});
Route::get('logout', function () {
  Auth::logout();
  return redirect('/login');
});
Route::get('clogout', function () {
  Auth::logout();
  return redirect('/clogin');
});